# caesar-4.8.py
# Encode and decode plaintext using a wraparound cypher with shift key
# Neal Nelson 2007.10.19

# Printable ascii codes lie between 32 (space) and 126 (~)

def encode(s,key):

  # All input characters must be between first and last in ascii sequence
  first = ord(' ')
  last = ord('~')
  range = last - first + 1   # the range of characters to code

  msg = ""
  for ch in s:
    msg = msg + chr( (ord(ch) - first + key) % range + first )
  return msg

def decode(s,key):
  return encode(s, -key)

def main():
  phrase = raw_input("Enter a phrase to encode: ")
  key = input("Enter an integer coding key: ")

  code = encode(phrase, key) 
  print code
  print decode(code, key)

main()

